import processing.serial.*;

Serial port;
Button b;

void setup() {
  size(400, 200);
  // Modify the port name based on your system (check in Arduino IDE)
  port = new Serial(this, "COM7", 9600);

  // Create a button
  b = new Button(width/2 - 100, height/2 - 50, 200, 100, "Activate");
}

void draw() {
  // Nothing to draw here
}

void mousePressed() {
  // Check if the mouse is pressed over the button
  b.clicked();
}

class Button {
  float x, y, w, h;
  String label;

  Button(float x, float y, float w, float h, String label) {
    this.x = x;
    this.y = y;
    this.w = w;
    this.h = h;
    this.label = label;
    drawButton();
  }

  void drawButton() {
    PFont f;
    f = createFont("Calibri", 20);
    rect(x, y, w, h);
    fill(0);
    textFont(f);
    textAlign(CENTER, CENTER);
    text(label, x + w/2, y + h/2);
  }

void clicked() {
  println("Button Clicked");
  if (mouseX > x && mouseX < x + w && mouseY > y && mouseY < y + h) {
    if (port != null) {
      port.write('H');  // Send 'H' to Arduino
      println("Sent command 'H' to Arduino");
    }
  }
}

}